## mycompiler.mybytecode
Class CONSTANT_String_info

    java.lang.Object
      mycompiler.mybytecode.CPInfo
          mycompiler.mybytecode.CONSTANT_String_info

    public class CONSTANT_String_info

extends CPInfo

Constructor Summary
`CONSTANT_String_info()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` `get_string_index()`
`void` `set_string_index(short t)`

Methods inherited from class mycompiler.mybytecode.CPInfo
`get_tag, set_tag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CONSTANT_String_info

    public CONSTANT_String_info()

Method Detail

### get_string_index

    public short get_string_index()

### set_string_index

    public void set_string_index(short t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)

  Specified by:
    `codegen` in class `CPInfo`